%global source_name catkin_lint

Name:           python-%{source_name}
Version:        1.3.8
Release:        1%{?dist}
Summary:        Check catkin packages for common errors

License:        BSD
URL:            https://pypi.python.org/pypi/%{source_name}
Source0:        https://pypi.python.org/packages/source/c/%{source_name}/%{source_name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-catkin_pkg
BuildRequires:  python-mock
BuildRequires:  python-nose
BuildRequires:  python-setuptools
Requires:       python-catkin_pkg


%package -n python3-%{source_name}
Summary:        Check catkin packages for common errors
BuildRequires:  python3-catkin_pkg
BuildRequires:  python3-devel
BuildRequires:  python3-mock
BuildRequires:  python3-nose
BuildRequires:  python3-setuptools
Requires:       python3-catkin_pkg


%description
catkin_lint checks package configurations for the catkin build system of ROS.
It is part of an ongoing effort to aid developers with their ROS packaging (see
also: issue #153).


%description -n python3-%{source_name}
catkin_lint checks package configurations for the catkin build system of ROS.
It is part of an ongoing effort to aid developers with their ROS packaging (see
also: issue #153).


%prep
%setup -q -n %{source_name}-%{version}

rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
%{__python2} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
pushd build/scripts-%{python3_version}
for f in *; do mv $f python3-$f; done
popd
popd


%install
%{__python2} setup.py install --skip-build --root %{buildroot}

install -p -D -m0644 bash/%{source_name} %{buildroot}%{_sysconfdir}/bash_completion.d/%{source_name}

for lib in %{buildroot}%{python2_sitelib}/%{source_name}/*.py; do
 sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

for lib in %{buildroot}%{python2_sitelib}/%{source_name}/checks/*.py; do
 sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}

install -p -D -m0644 bash/%{source_name} %{buildroot}%{_sysconfdir}/bash_completion.d/python3-%{source_name}

for lib in %{buildroot}%{python3_sitelib}/%{source_name}/*.py; do
 sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

for lib in %{buildroot}%{python3_sitelib}/%{source_name}/checks/*.py; do
 sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done
popd


%check
PYTHONPATH=%{buildroot}%{python2_sitelib} nosetests -w test

pushd %{py3dir}
PYTHONPATH=%{buildroot}%{python3_sitelib} nosetests-%{python3_version} -w %{py3dir}
popd


%files
%doc changelog.txt README.rst README_API.rst
%{python2_sitelib}/%{source_name}-%{version}-py?.?.egg-info
%{python2_sitelib}/%{source_name}/
%{_bindir}/%{source_name}

%{_sysconfdir}/bash_completion.d/%{source_name}


%files -n python3-%{source_name}
%doc changelog.txt README.rst README_API.rst
%{python3_sitelib}/%{source_name}-%{version}-py?.?.egg-info
%{python3_sitelib}/%{source_name}/
%{_bindir}/python3-%{source_name}

%{_sysconfdir}/bash_completion.d/python3-%{source_name}


%changelog
* Tue Dec 02 2014 Scott K Logan <logans@cottsay.net> - 1.3.8-1
- Update to release 1.3.8
- Add python3 package
- Enable check section

* Wed Jul 16 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 1.3.7-1
- Update to latest upstream release

* Mon Jun 09 2014 Scott K Logan <logans@cottsay.net> - 1.3.6-1
- Update to release 1.3.6

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 19 2014 Scott K Logan <logans@cottsay.net> 1.3.5-1
- Update to release 1.3.5

* Tue Apr 15 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 1.3.4-1
- Correct requires

* Sat Apr 05 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 1.3.4-1
- Initial package build
